<?php
namespace Teknisa\CRM\Service;

class crm00050000ComunicaRevendaService
{
    
    protected $comunicaRevendaFactory;
    protected $newCode;
    
    public function __construct($comunicaRevendaFactory, $newCode){
        
        $this->comunicaRevendaFactory        = $comunicaRevendaFactory;
        $this->newCode                       = $newCode;

    }
    
    public function callForInsertNewPartnerCommunication($row){
        
        $row["NRCOMUNICAPARC"] = $this->newCode->getCodeByTableName("COMUNICAPARC" , $row["NRORG"]);
        
        if(!isset($row["CDPREFIXOCOMU"])){
            $row["CDPREFIXOCOMU"] = "";
        }
        
        $paramsInsertPartnerCommunication = array(
        
            "NRCOMUNICAPARC"    => $row["NRCOMUNICAPARC"],
            "NRPARCNEGOCIO"     => $row["NRPARCNEGOCIO"],
            "CDFORMACOMU"       => $row["CDFORMACOMU"],
            "CDPREFIXCOMUPARC"  => $row["CDPREFIXOCOMU"],
            "CDCOMUNICAPARC"    => $row["CDCOMUNICACAO"],
            "NRORG"             => $row["NRORG"],
            "IDATIVO"           => $row["IDATIVO"],
            "NRORGINCLUSAO"     => $row["NRORG"],
            "CDOPERINCLUSAO"    => $row["CDOPERADOR"]
        
        );
        
        $this->comunicaRevendaFactory->requestForInsertNewPartnerCommunication($paramsInsertPartnerCommunication);
        
        return $row["NRCOMUNICAPARC"];
        
    }
    
    

}
?>