function crm00050002_Reserva_de_Prospect_Service(crm00050002_Reserva_de_Prospect_Repository) {
    
    /**
     * Função para fazer a chamada da requisição
     * do insert do prospect.
     * 
     * @param {object} currentRow currentRow para
     * onde se localiza as informações do prospect.
    */    
    this.callForInsertResaleProspect = function(currentRow){
        
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        return crm00050002_Reserva_de_Prospect_Repository.requestForInsertResaleProspect(paramsRestEngine);
        
    };
    
    /**
     * Função para fazer a chamada da requisição
     * do select do número da revenda ligado ao
     * operador logado.
     * 
     * @param {currentRow} currentRow currentRow onde 
     * se localiza as informações do operador.
    */
    this.callForSelectOperatorResaleNumber = function(currentRow){
        
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        return crm00050002_Reserva_de_Prospect_Repository.requestForcallForSelectOperatorResaleNumber(paramsRestEngine);
        
    };
    
    /**
     * Função para fazer a chamada da requisição
     * de envio de email.
     * 
     * @param {object} currentRow currentRow onde
     * se localiza as informações do email.
    */
    this.callForSendEmail = function(currentRow){
      
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        crm00050002_Reserva_de_Prospect_Repository.requestForSendEmail(paramsRestEngine);
        
    };

}

Configuration(function (ContextRegister) {
    ContextRegister.register("crm00050002_Reserva_de_Prospect_Service", crm00050002_Reserva_de_Prospect_Service);
});
